Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.calendar.schema
Interface DayType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface DayType

extends XmlObject

An XML dayType(@http://www.bea.com/wli/calendar/schema). This is a complex type.

Nested Class Summary
`static class` | `DayType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`HourMinuteRangeType` | `addNewHourMinuteRange()` Appends and returns a new empty "hourMinuteRange" element
`int` | `getDayOfWeek()` Gets the "dayOfWeek" element
`HourMinuteRangeType` | `getHourMinuteRange()` Gets the "hourMinuteRange" element
`boolean` | `isSetHourMinuteRange()` True if has "hourMinuteRange" element
`void` | `setDayOfWeek(int dayOfWeek)` Sets the "dayOfWeek" element
`void` | `setHourMinuteRange(HourMinuteRangeType hourMinuteRange)` Sets the "hourMinuteRange" element
`void` | `unsetHourMinuteRange()` Unsets the "hourMinuteRange" element
`XmlInt` | `xgetDayOfWeek()` Gets (as xml) the "dayOfWeek" element
`void` | `xsetDayOfWeek(XmlInt dayOfWeek)` Sets (as xml) the "dayOfWeek" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getDayOfWeek

    int getDayOfWeek()

  Gets the "dayOfWeek" element

### xgetDayOfWeek

    XmlInt xgetDayOfWeek()

  Gets (as xml) the "dayOfWeek" element

### setDayOfWeek

    void setDayOfWeek(int dayOfWeek)

  Sets the "dayOfWeek" element

### xsetDayOfWeek

    void xsetDayOfWeek(XmlInt dayOfWeek)

  Sets (as xml) the "dayOfWeek" element

### getHourMinuteRange

    HourMinuteRangeType getHourMinuteRange()

  Gets the "hourMinuteRange" element

### isSetHourMinuteRange

    boolean isSetHourMinuteRange()

  True if has "hourMinuteRange" element

### setHourMinuteRange

    void setHourMinuteRange(HourMinuteRangeType hourMinuteRange)

  Sets the "hourMinuteRange" element

### addNewHourMinuteRange

    HourMinuteRangeType addNewHourMinuteRange()

  Appends and returns a new empty "hourMinuteRange" element

### unsetHourMinuteRange

    void unsetHourMinuteRange()

  Unsets the "hourMinuteRange" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD